package com.ifish.enums;

public enum PushTypeEnum {
	remove_device("remove_device","解绑通知"),
	wendu_warn("wendu_warn","温度预警"),
	qu_reply("qu_reply","问题反馈"),
	app_update("app_update","IOS更新推送"),
	remind_water("remind_water","换水提醒"),
	offline_push("offline_push","离线通知"),
	send_report("send_report","看护报告"),
	shops_push("shops_push","看护通知"),
	all_push("all_push","所有用户推送");
	
	private PushTypeEnum(String key,String value){
		this.key = key;
		this.value = value;
	}
	
	private String key;
	private String value;
	
	//普通方法
	public static String getValue(String key) {
		for (PushTypeEnum c : PushTypeEnum.values()) {
			if (c.getKey().equals(key)) {
				return c.getValue();
			}
		}
		return null;
	}
	
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
}
